import { documentsList,findDataInfo } from '../../api/documentManagement'


export default{
    data(){
        return{
            params:{
                lang:"",
                type: 0, // 服务条款类型：数字1
            },
            infoParams:{
              
                lang:this.$i18n?.locale || 'zh',
                childType:"1", //1服务条款、2费率、3API文档 
            },
            // 存储从后端获取的文档内容
            info: "",
            // 加载状态
            loading: false
        }
    },
    mounted(){
       
        // this.fetchDocumentsList(this.params)
        this.fetchDocumentsInfo(this.infoParams)
    },
    methods:{
        /**
         * 获取文档列表
         */
        // async fetchDocumentsList(){
        //     try {
        //         this.loading = true
        //     const res = await documentsList(this.params)
        //         console.log('文档列表:', res)
              
        //         if (res && res.code === 200 && res.rows && res.rows.length > 0) {
        //             console.log('请求参数:',  res.rows)
        //             this.infoParams.id = res.rows[0].id
        //             this.infoParams.lang = this.$i18n?.locale || 'zh'
                 
                  
                    
        //             if (this.infoParams.id && this.infoParams.lang) {
        //                 await this.fetchDocumentsInfo()
        //             }
        //         } else {
        //             console.warn('未获取到文档列表数据')
        //             this.info = ""
        //         }
        //     } catch (error) {
        //         console.error('获取文档列表失败:', error)
        //         this.info = ""
        //     } finally {
        //         this.loading = false
        //     }
        // },
        
        /**
         * 获取具体文档内容
         */
        async fetchDocumentsInfo(params){
            this.setLoading('loading', true);
            try {              
                const res = await findDataInfo(params)             

                if (res && res.code === 200 ) {
                    // wangeditor 直接输出 HTML，直接使用
                    this.info = res.data.content || ""
                } else {
                    console.warn('获取文档内容失败:', res)
                    this.info = ""
                }
            } catch (error) {
                console.error('获取文档内容失败:', error)
                this.info = ""
            }
            this.setLoading('loading', false);
        },
        

        

    }
}